#include <iostream>
using namespace std;
int main()
{
int l,a,b,n,c=0;
cin>>a>>b>>l;
for(int i=1;i<=l;i++)
{
c++;
for(int q=1;q<=l;q++)
{
n=i;
if(n-a*q>=0)
{
n-=a*q;
for(int r=1;r<=l;r++)
{
if(b*r==n){c--;r=l+1;q=l+1;}
}
}
}
}
cout<<c<<endl;
    return 0;
}
